/* G-CTB GNU Contabilidad
 * Copyright (C) 2001 Branly Abendano, EPN Ingenieria Sistemas  
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public  
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of   
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "incl.h"
#include "TipoDiario.h"
#include "TipoCtaContable.h"
 
gint FILA_ACTUAL_TIPO_DIARIO = 0;
gint FILA_ACTUAL_TIPO_CTA_CONTABLE = 0;
GnomeDbGrid *GRID_MANT_TIPO_DIARIO;
GnomeDbGrid *GRID_MANT_TIPO_CTA_CONTABLE;


GtkWidget* get_grid_Tipo_Diario (gchar *widget_name, gchar *string1, 
				 gchar *string2, gint int1, gint int2) {  
  	return gnome_db_grid_new(GDA_RECORDSET(GetListadoTotalDeTiposDiarios()));
}
  
void
on_gridMantTipoDiario_realize             (GtkWidget       *widget,
                                        gpointer         user_data)
{
  Gda_Recordset *grs;

  	gnome_db_grid_clear(GNOME_DB_GRID(gridMantTipoDiario));
  	gnome_db_grid_refresh(GNOME_DB_GRID(gridMantTipoDiario));
 
  	grs = GetListadoTotalDeTiposDiarios();

  	gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantTipoDiario),GDA_RECORDSET(grs));

  	GRID_MANT_TIPO_DIARIO = GNOME_DB_GRID(gridMantTipoDiario);    
}

void
on_gridMantTipoCtaContable_realize             (GtkWidget       *widget,
                                        gpointer         user_data)
{
  Gda_Recordset *grs;

  	grs = GetListadoTotalDeTiposCtasContables(); 

  	gnome_db_grid_clear(GNOME_DB_GRID(gridMantTipoCtaContable));
  	gnome_db_grid_refresh(GNOME_DB_GRID(gridMantTipoCtaContable));
 
  	gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantTipoCtaContable),GDA_RECORDSET(grs));

  	GRID_MANT_TIPO_CTA_CONTABLE = GNOME_DB_GRID(gridMantTipoCtaContable);    
}
 
void
on_gridMantTipoDiario_select_row         (GnomeDbGrid     *gnomedbgrid,
                                        gint             arg1,
                                        gpointer         user_data)
{
  Gda_Recordset *grs;
  gchar *text;

    	FILA_ACTUAL_TIPO_DIARIO = arg1;

    	gnome_db_grid_show_row_numbers (gnomedbgrid);
   
    	grs = gda_recordset_new();
    	grs = gnome_db_grid_get_recordset (gnomedbgrid);
 
    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,0,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtCodigoMantTipoDiario)), text );

    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,1,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtNombreMantTipoDiario)), text );

    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,2,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtDescripcionMantTipoDiario)), text );
}

void
on_gridMantTipoCtaContable_select_row         (GnomeDbGrid     *gnomedbgrid,
                                        gint             arg1,
                                        gpointer         user_data)
{
  Gda_Recordset *grs;
  gchar *text;

    	FILA_ACTUAL_TIPO_CTA_CONTABLE = arg1;

    	gnome_db_grid_show_row_numbers (gnomedbgrid);
   
    	grs = gda_recordset_new();
    	grs = gnome_db_grid_get_recordset (gnomedbgrid);
 
    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,0,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtCodigoMantTipoCtaContable)), text );

    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,1,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtNombreMantTipoCtaContable)), text );

    	gtk_clist_get_text(GTK_CLIST(gnomedbgrid->grid),arg1-1,2,&text);
    	gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtDescripcionMantTipoCtaContable)), text );
}

void
on_btnNextMantTipoDiario_clicked       (GtkButton       *button,
                                        gpointer         user_data) 
{
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_TIPO_DIARIO->grid), FILA_ACTUAL_TIPO_DIARIO-1, 0);
    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_TIPO_DIARIO->grid), FILA_ACTUAL_TIPO_DIARIO, 0);
}

void
on_btnNextMantTipoCtaContable_clicked       (GtkButton       *button,
                                        gpointer         user_data) 
{
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_TIPO_CTA_CONTABLE->grid), FILA_ACTUAL_TIPO_CTA_CONTABLE-1, 0);
   	gtk_clist_select_row(GTK_CLIST(GRID_MANT_TIPO_CTA_CONTABLE->grid), FILA_ACTUAL_TIPO_CTA_CONTABLE, 0);
}

void
on_btnPriorMantTipoDiario_clicked      (GtkButton       *button,   
                                        gpointer         user_data) 
{
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_TIPO_DIARIO->grid), FILA_ACTUAL_TIPO_DIARIO-1, 0);
    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_TIPO_DIARIO->grid), FILA_ACTUAL_TIPO_DIARIO-2, 0);
}

void
on_btnPriorMantTipoCtaContable_clicked      (GtkButton       *button,   
                                        gpointer         user_data) 
{
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_TIPO_CTA_CONTABLE->grid), FILA_ACTUAL_TIPO_CTA_CONTABLE-1, 0);
    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_TIPO_CTA_CONTABLE->grid), FILA_ACTUAL_TIPO_CTA_CONTABLE-2, 0);
}

void                                    
on_btnLastMantTipoDiario_clicked      (GtkButton       *button,
                                        gpointer         user_data) 
{  
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_TIPO_DIARIO->grid), FILA_ACTUAL_TIPO_DIARIO-1, 0);
    	FILA_ACTUAL_TIPO_DIARIO = GRID_MANT_TIPO_DIARIO->total_rows;

    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_TIPO_DIARIO->grid), FILA_ACTUAL_TIPO_DIARIO-1, 0);
}

void                                    
on_btnLastMantTipoCtaContable_clicked      (GtkButton       *button,
                                        gpointer         user_data) 
{  
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_TIPO_CTA_CONTABLE->grid), FILA_ACTUAL_TIPO_CTA_CONTABLE-1, 0);
    	FILA_ACTUAL_TIPO_CTA_CONTABLE = GRID_MANT_TIPO_CTA_CONTABLE->total_rows;

    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_TIPO_CTA_CONTABLE->grid), FILA_ACTUAL_TIPO_CTA_CONTABLE-1, 0);
}

void
on_btnFirstMantTipoDiario_clicked      (GtkButton       *button,
                                        gpointer         user_data) 
{ 
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_TIPO_DIARIO->grid), FILA_ACTUAL_TIPO_DIARIO-1, 0);
    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_TIPO_DIARIO->grid), 0, 0);
}

void
on_btnFirstMantTipoCtaContable_clicked      (GtkButton       *button,
                                        gpointer         user_data) 
{ 
    	gtk_clist_unselect_row(GTK_CLIST(GRID_MANT_TIPO_CTA_CONTABLE->grid), FILA_ACTUAL_TIPO_CTA_CONTABLE-1, 0);
    	gtk_clist_select_row(GTK_CLIST(GRID_MANT_TIPO_CTA_CONTABLE->grid), 0, 0);
}


void
on_btnGrabarTipoDiario_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   gchar *NombreTipoDiario = NULL;
   gchar *DescripcionTipoDiario = NULL;
   gint rc;
 
        NombreTipoDiario = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtNombreTipoDiario)));
        DescripcionTipoDiario = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtDescripcionTipoDiario)));
   
	rc = InsertNuevoTipoDiario (NombreTipoDiario, DescripcionTipoDiario);

	if (rc != 0) {
		g_print("\nNo se ingreso este registro");
	} else {
		gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtNombreTipoDiario)),"");
		gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtDescripcionTipoDiario)),"");
	}

	gtk_widget_grab_focus(txtNombreTipoDiario);
}

void
on_btnGrabarTipoCtaContable_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   gchar *NombreTipoCtaContable = NULL;
   gchar *DescripcionTipoCtaContable = NULL;
   gint rc;
 
        NombreTipoCtaContable = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtNombreTipoCtaContable)));
        DescripcionTipoCtaContable = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtDescripcionTipoCtaContable)));
   
	rc = InsertNuevoTipoCtaContable (NombreTipoCtaContable, DescripcionTipoCtaContable);

	if (rc != 0) {
		g_print("\nNo se ingreso este registro");
	} else {
		gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtNombreTipoCtaContable)),"");
		gtk_entry_set_text(GTK_ENTRY (GTK_OBJECT(txtDescripcionTipoCtaContable)),"");
	}

	gtk_widget_grab_focus(txtNombreTipoCtaContable);
}

void
on_btnInsertMantTipoDiario_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   gchar *NombreTipoDiario = NULL;
   gchar *DescripcionTipoDiario = NULL;
                                
   Gda_Recordset *grs;
   gint rc;
 
        NombreTipoDiario = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtNombreMantTipoDiario)));
        DescripcionTipoDiario = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtDescripcionMantTipoDiario)));
   
	rc = InsertNuevoTipoDiario (NombreTipoDiario, DescripcionTipoDiario);

	if (rc != 0) {
		g_print("\nNo se ingreso este registro");
	} else {
		grs = GetListadoTotalDeTiposDiarios ();

  		gnome_db_grid_clear(GNOME_DB_GRID(gridMantTipoDiario));  
  		gnome_db_grid_refresh(GNOME_DB_GRID(gridMantTipoDiario));

  		gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantTipoDiario),GDA_RECORDSET(grs));
	}
}

void
on_btnInsertMantTipoCtaContable_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   gchar *NombreTipoCtaContable = NULL;
   gchar *DescripcionTipoCtaContable = NULL;
                                
   Gda_Recordset *grs;
   gint rc;
 
        NombreTipoCtaContable = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtNombreMantTipoCtaContable)));
        DescripcionTipoCtaContable = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtDescripcionMantTipoCtaContable)));
   
	rc = InsertNuevoTipoCtaContable (NombreTipoCtaContable, DescripcionTipoCtaContable);

	if (rc != 0) {
		g_print("\nNo se ingreso este registro");
	} else {
                grs = GetListadoTotalDeTiposCtasContables ();

  		gnome_db_grid_clear(GNOME_DB_GRID(gridMantTipoCtaContable));  
  		gnome_db_grid_refresh(GNOME_DB_GRID(gridMantTipoCtaContable));

  		gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantTipoCtaContable),GDA_RECORDSET(grs));
	}
}

void
on_btnDeleteMantTipoDiario_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   gchar *CodigoTipoDiario = NULL;
   Gda_Recordset *grs;
   gint rc;
 
        CodigoTipoDiario = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtCodigoMantTipoDiario)));
    
        rc = DeleteTipoDiario (CodigoTipoDiario);

	if (rc != 0) {
		g_print("\nNo se ingreso este registro");
	} else {
		grs = GetListadoTotalDeTiposDiarios ();

  		gnome_db_grid_clear(GNOME_DB_GRID(gridMantTipoDiario));  
  		gnome_db_grid_refresh(GNOME_DB_GRID(gridMantTipoDiario));

  		gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantTipoDiario),GDA_RECORDSET(grs));
	}
}


void
on_btnDeleteMantTipoCtaContable_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   gchar *CodigoTipoCtaContable = NULL;
   Gda_Recordset *grs;
   gint rc;
 
        CodigoTipoCtaContable = (gchar *)gtk_entry_get_text (GTK_ENTRY (GTK_OBJECT(txtCodigoMantTipoCtaContable)));
    
	rc = DeleteTipoCtaContable(CodigoTipoCtaContable);

	if (rc != 0) {
		g_print("\nNo se Borro este registro");
	} else {
		grs = GetListadoTotalDeTiposCtasContables ();

  		gnome_db_grid_clear(GNOME_DB_GRID(gridMantTipoCtaContable));  
  		gnome_db_grid_refresh(GNOME_DB_GRID(gridMantTipoCtaContable));

  		gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantTipoCtaContable),GDA_RECORDSET(grs));
	}
}

void
on_btnActualizarMantTipoDiario_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   Gda_Recordset *grs;

	grs = GetListadoTotalDeTiposDiarios();
 
  	gnome_db_grid_clear(GNOME_DB_GRID(gridMantTipoDiario));  
  	gnome_db_grid_refresh(GNOME_DB_GRID(gridMantTipoDiario));

  	gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantTipoDiario),GDA_RECORDSET(grs));
}

void
on_btnActualizarMantTipoCtaContable_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
   Gda_Recordset *grs;
 
        grs = GetListadoTotalDeTiposCtasContables ();

  	gnome_db_grid_clear(GNOME_DB_GRID(gridMantTipoCtaContable));  
  	gnome_db_grid_refresh(GNOME_DB_GRID(gridMantTipoCtaContable));

  	gnome_db_grid_set_recordset(GNOME_DB_GRID(gridMantTipoCtaContable),GDA_RECORDSET(grs));
}
   
void
on_btnSalirTipoDiario_clicked                    (GtkButton       *button,
                                                  gpointer         user_data)
{
    	gtk_exit(0);
}

void
on_btnSalirTipoCtaContable_clicked                    (GtkButton       *button,
                                                  gpointer         user_data)
{
    	gtk_exit(0);
}

void
on_btnSalirMantenerTipoDiario_clicked                    (GtkButton       *button,
                                                  gpointer         user_data)
{
    	gtk_exit(0);
}

